#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libktorrent
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        BitTorrent program for KDE
Group:          Networking/File transfer
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  doxygen
BuildRequires:  gmp-devel
BuildRequires:  boost-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(qca2-qt5)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

#-------------------------------------------------------------------------

%package        common
Summary:        Common files of libktorrent
Group:          System/Libraries
BuildArch:      noarch

%description    common
Common files for libktorrent, used by KTorrent, a BitTorrent program for KDE.

%files common -f %{name}5.lang


#-------------------------------------------------------------------------

%define ktorrent_major 6
%define libkf5torrent %mklibname kf5torrent %ktorrent_major

%package -n     %libkf5torrent
Summary:        Ktorrent library
Group:          System/Libraries
Requires:       libktorrent-common >= %{version}

%description -n %libkf5torrent
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -n %libkf5torrent
%_kf5_libdir/libKF5Torrent.so.%{ktorrent_major}
%_kf5_libdir/libKF5Torrent.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname kf5torrent -d

%package -n     %{develname}
Summary:        Ktorrent plugin devel headers
Group:          Development/KDE and Qt
Requires:       %{libkf5torrent} = %{version}
Provides:       %{name}-devel = %{version}
Provides:       ktorrent-devel = %{version}
Obsoletes:      libktorrent-devel < 1.3.1-7
Obsoletes:      %{_lib}ktorrent-devel < 2.0.1-2

%description -n %{develname}
Ktorrent plugin devel headers.

%files -n %{develname}
%{_kf5_includedir}/libktorrent/
%{_kf5_libdir}/cmake/KF5Torrent/
%{_kf5_libdir}/libKF5Torrent.so

#-------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}
%cmake_build
 
%install
%cmake_install

%find_lang %{name}5


%changelog
* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657057
- New version 20.12.0 (says hello libktorrent to release-service stack)

* Sun Jun 07 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1590833
- new version: 2.2.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-2.mga8
+ Revision: 1530533
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 02 2019 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1436373
- new version: 2.1.1

* Sun Mar 31 2019 umeabot <umeabot> 2.1-3.mga7
+ Revision: 1383112
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1-2.mga7
+ Revision: 1298957
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 daviddavid <daviddavid> 2.1-1.mga7
+ Revision: 1156322
- new version: 2.1

* Tue Apr 19 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 1003630
- new version: 2.0.1
- port to Qt5/kf5
- now libmajor is 6
- update URL and Source URL
- remove old and useless conflicts
- rename the devel subpackage to lib(64)ktorrent-devel

* Mon Feb 15 2016 umeabot <umeabot> 1.3.1-6.mga6
+ Revision: 961070
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 ovitters <ovitters> 1.3.1-5.mga6
+ Revision: 876855
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-5.mga5
+ Revision: 742393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 681568
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-3.mga4
+ Revision: 529518
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 1.3.1-2.mga4
+ Revision: 452343
- rebuild for new boost

* Thu Jan 31 2013 neoclust <neoclust> 1.3.1-1.mga3
+ Revision: 393630
- New Bugfix version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 fwang <fwang> 1.3.0-1.mga3
+ Revision: 286997
- update libmajor
- fix tarbll dir
- new version 1.3.0

* Wed Jun 13 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 260163
- update tarball
- new version 1.2.1

* Tue Mar 06 2012 fwang <fwang> 1.2.0-1.mga2
+ Revision: 219455
- new version 1.2.0 final

* Wed Jan 11 2012 juancho <juancho> 1.2-0.rc1.1.mga2
+ Revision: 195008
- Added missing libgcrypt-devel BR
- Updated to 4.2rc1
- Did some cleanup (removed buildroot and defattr stuff)

* Wed Nov 23 2011 fwang <fwang> 1.1.3-1.mga2
+ Revision: 171232
- new version 1.1.3
- new version 1.1.2

* Thu Jun 16 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 108083
- new version 1.1.1

* Sat Apr 09 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 82544
- Fix libktorrent soname
- New version 1.1.0

* Wed Jan 26 2011 ahmad <ahmad> 1.0.5-2.mga1
+ Revision: 41385
- imported package libktorrent


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 625975
- new version 1.0.5

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 586558
- new version 1.0.4

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 574252
- new version 1.0.3

* Sat Jul 10 2010 Anssi Hannula <anssi@mandriva.org> 1.0.2-2mdv2011.0
+ Revision: 550161
- split localization to libktorrent-common to avoid file conflicts
  (Andrey Borzenkov)

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 549947
- new libmajor
- new version 1.0.2

* Tue Jun 15 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 548052
- New version 1.0.1

* Tue May 25 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 545839
- New version 1.0.0
- drop unneeded BRs

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.rc1.1mdv2010.1
+ Revision: 542004
- import libktorrent


